Skip to main content
PATCH
Update Sync Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

syncTemplateId
number<double>
required

The sync template's ID

Body

application/json

The input for updating a Sync Template. destinationId cannot be changed after creation.

name
string

The sync template's name

configuration
object

The sync template's configuration. The schema depends on the destination type.

Consumers should NOT make assumptions on the contents of the configuration. It may change as Hightouch updates its internal code.

description
string | null

The sync template's description

modelId
number<double>

The id of the parent Model that the sync template is connected to

schedule
object | null

The sync template's schedule. May be null if the template does not impose a schedule on its child syncs.

schedulePaused
boolean

Whether the sync template's schedule is paused

tags
object

The tags of the sync template

matchboosterRegion
string | null

Match Booster region for syncs created from this template. Null means inherit the model's single-region default at runtime.

overrideConfig
object | null

Which configuration fields syncs created from this template may override, keyed by configuration field path (for example "externalIdMapping" or "target.schema"). A field is unlocked when listed with overridable: true; every other field is locked to the template's value. Null when no field is overridable.

Response

Ok

A sync template defines a reusable sync configuration that can be shared across multiple syncs. User Groups can be granted access to templates so users can create syncs from them without seeing the raw destination credentials.

id
number<double>
required

The sync template's id

name
string
required

The sync template's name

workspaceId
number<double>
required

The id of the workspace that the sync template belongs to

createdAt
string<date-time>
required

The timestamp when the sync template was created

updatedAt
string<date-time>
required

The timestamp when the sync template was last updated

modelId
number<double>
required

The id of the parent Model that the sync template is connected to

destinationId
number<double>
required

The id of the Destination that the sync template is connected to. Cannot be changed after creation.

configuration
object
required

The sync template's configuration. The schema depends on the destination type.

Consumers should NOT make assumptions on the contents of the configuration. It may change as Hightouch updates its internal code.

schedule
object | null
required

The sync template's schedule. May be null if the template does not impose a schedule on its child syncs.

schedulePaused
boolean
required

Whether the sync template's schedule is paused

tags
object
required

The tags of the sync template

overrideConfig
object | null
required

Which configuration fields syncs created from this template may override, keyed by configuration field path (for example "externalIdMapping" or "target.schema"). A field is unlocked when listed with overridable: true; every other field is locked to the template's value. Null when no field is overridable.

description
string | null

The sync template's description

matchboosterRegion
string | null

Match Booster region for syncs created from this template. Null means inherit the model's single-region default at runtime.